###本地DM8
###端口号配置
server.port=8889
###jdbc配置
spring.datasource.driver-class-name=dm.jdbc.driver.DmDriver
spring.datasource.url=jdbc:dm://localhost:5236?schema=SYSDBA
spring.datasource.username=SYSDBA
spring.datasource.password=123456789

#宁盾单点登录参数
nd.url:10.106.101.55:7080
nd.client-id:06008a7b-8dd3-417c-a2e1-956ba3fe8c16
nd.client-secret:crk


###druid配置
spring.datasource.type=com.alibaba.druid.pool.DruidDataSource
spring.datasource.druid.filters=stat
spring.datasource.druid.max-active=20
spring.datasource.druid.initial-size=1
spring.datasource.druid.max-wait=60000
spring.datasource.druid.min-idle=1
spring.datasource.druid.time-between-eviction-runs-millis=60000
spring.datasource.druid.min-evictable-idle-time-millis=300000
spring.datasource.druid.validation-query=select 'x'
spring.datasource.druid.test-while-idle=true
spring.datasource.druid.test-on-borrow=false
spring.datasource.druid.test-on-return=true
spring.datasource.druid.pool-prepared-statements=true
spring.datasource.druid.max-open-prepared-statements=20



#MQ配制
spring.rabbitmq.host=101.36.160.140
spring.rabbitmq.port=31027
#spring.rabbitmq.host=10.106.101.59
#spring.rabbitmq.port=5672
spring.rabbitmq.username=plat_inout
spring.rabbitmq.password=plat_inout@2022
spring.rabbitmq.virtual-host= plat
##开启消息确认模式，新版本已经弃用
##publisher-confirms: true
##开启消息送达提示
spring.rabbitmq.publisher-returns=true
## springboot.rabbitmq.publisher-confirm 新版本已被弃用，现在使用 spring.rabbitmq.publisher-confirm-type = correlated 实现相同效果
spring.rabbitmq.publisher-confirm-type= correlated
spring.rabbitmq.exchange=sync.target.queue.direct
spring.rabbitmq.queue.fromGw=sync.target.queue
spring.rabbitmq.listener.type=simple
##确认模式
spring.rabbitmq.listener.simple.acknowledge-mode=auto
##限制每次发送一条数据。
spring.rabbitmq.listener.simple.prefetch=1
##同一个队列启动几个消费者
spring.rabbitmq.listener.simple.concurrency=3
##启动消费者最大数量
spring.rabbitmq.listener.simple.max-concurrency=3
##重试策略相关配置
## 开启消费者(程序出现异常)重试机制，默认开启并一直重试
spring.rabbitmq.listener.simple.retry.enabled=true
## 最大重试次数
spring.rabbitmq.listener.simple.retry.max-attempts= 5
## 重试间隔时间(毫秒)
spring.rabbitmq.listener.simple.retry.initial-interval= 3000



###jackson
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.jackson.time-zone=GMT+8
spring.jackson.default-property-inclusion=non_empty
###MybatisPlus
mybatis-plus.configuration.map-underscore-to-camel-case=true
mybatis-plus.mapper-locations=classpath*:mapper/**/*.xml
mybatis-plus.configuration.log-impl=org.apache.ibatis.logging.stdout.StdOutImpl
mybatis-plus.type-aliases-package=com.unis.**.*.entity
#数据更新时只更新为数据不为NULL值的字段
mybatis-plus.global-config.db-config.field-strategy=not_null
###自定义配置
project.uncurbed.url=/login
project.uncurbed.role=ROLE_LOGIN
#加长请求头
server.max-http-header-size=2048KB
#文件静态资源目录
spring.resources.static-locations=classpath:/META-INF/resources/,classpath:/resources/,classpath:/static/,classpath:/public/,file:static/


# 启用http上传
spring.servlet.multipart.enabled=true
# 设置支持的单个上传文件的大小限制
spring.servlet.multipart.max-file-size=50MB
# 设置最大的请求文件大小，设置总体大小请求
spring.servlet.multipart.max-request-size=50MB
# 当上传文件达到指定配置量的时候，将文件内容写入磁盘
spring.servlet.multipart.file-size-threshold=512KB
# 设置上传的临时目录
spring.servlet.multipart.location=

